###################################################
### chunk number 1:  eval=FALSE
###################################################
## #line 24 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
## install.packages("hydroTSM")


###################################################
### chunk number 2: 
###################################################
#line 35 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
library(hydroTSM)


###################################################
### chunk number 3: 
###################################################
#line 41 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
data(SanMartinoPPts)


###################################################
### chunk number 4: 
###################################################
#line 47 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
x <- window(SanMartinoPPts, start=as.Date("1985-01-01"))


###################################################
### chunk number 5: 
###################################################
#line 52 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
( m <- daily2monthly(x, FUN=sum) )


###################################################
### chunk number 6: 
###################################################
#line 57 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
dates <- time(x)


###################################################
### chunk number 7: 
###################################################
#line 62 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
( nyears <- yip(from=start(x), to=end(x), out.type="nmbr" ) )


###################################################
### chunk number 8: 
###################################################
#line 75 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
smry(x)


###################################################
### chunk number 9: 
###################################################
#line 83 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
hydroplot(x, var.type="Precipitation", main="at San Martino", pfreq = "dm", from="1987-01-01")


###################################################
### chunk number 10: 
###################################################
#line 89 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
dwi(x)


###################################################
### chunk number 11: 
###################################################
#line 94 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
dwi(x, out.unit="mpy")


###################################################
### chunk number 12: 
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
# Daily zoo to monthly zoo
m <- daily2monthly(x, FUN=sum, na.rm=TRUE)
     
# Creating a matrix with monthly values per year in each column
M <- matrix(m, ncol=12, byrow=TRUE)
colnames(M) <- month.abb
rownames(M) <- unique(format(time(m), "%Y"))
     
# Plotting the monthly precipitation values
require(lattice)
matrixplot(M, ColorRamp="Precipitation", 
           main="Monthly precipitation at San Martino st., [mm/month]")


###################################################
### chunk number 13: 
###################################################
#line 126 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
daily2annual(x, FUN=sum, na.rm=TRUE)


###################################################
### chunk number 14: 
###################################################
#line 134 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
mean( daily2annual(x, FUN=sum, na.rm=TRUE) )


###################################################
### chunk number 15: 
###################################################
#line 144 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
annualfunction(x, FUN=sum, na.rm=TRUE) / nyears


###################################################
### chunk number 16: 
###################################################
#line 159 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
monthlyfunction(m, FUN=median, na.rm=TRUE)


###################################################
### chunk number 17: 
###################################################
#line 164 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
cmonth <- format(time(m), "%b")


###################################################
### chunk number 18: 
###################################################
#line 169 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
months <- factor(cmonth, levels=unique(cmonth), ordered=TRUE)


###################################################
### chunk number 19: 
###################################################
#line 174 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
boxplot( coredata(m) ~ months, col="lightblue", main="Monthly Precipitation", 
         ylab="Precipitation, [mm]", xlab="Month")


###################################################
### chunk number 20: 
###################################################
#line 191 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
seasonalfunction(x, FUN=sum, na.rm=TRUE) / nyears


###################################################
### chunk number 21: 
###################################################
#line 196 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
( DJF <- dm2seasonal(x, season="DJF", FUN=sum) )
( MAM <- dm2seasonal(m, season="MAM", FUN=sum) )
( JJA <- dm2seasonal(m, season="JJA", FUN=sum) )
( SON <- dm2seasonal(m, season="SON", FUN=sum) )


###################################################
### chunk number 22: 
###################################################
#line 205 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
hydroplot(x, pfreq="seasonal", FUN=sum, stype="default")


###################################################
### chunk number 23: 
###################################################
#line 215 "d:/Rcompile/CRANpkg/local/2.12/hydroTSM/inst/doc/hydroTSM_Vignette.Rnw"
sessionInfo()$platform
sessionInfo()$R.version$version.string 
paste("hydroTSM", sessionInfo()$otherPkgs$hydroTSM$Version)


